Last Comment Bug 631493 - missing Firefox version in SeaMonkey's useragent string on OSX
: missing Firefox version in SeaMonkey's useragent string on OSX
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1b3
Assigned To: Justin Wood (:Callek)
:
:
Mentors:
Depends on: 581008
Blocks: 631955
  Show dependency treegraph
 
Reported: 2011-02-04 03:25 PST by Adrian Kalla [:adriank]
Modified: 2011-02-07 05:36 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
use $_topsrcdir and error if unset (777 bytes, patch)
2011-02-06 10:07 PST, Justin Wood (:Callek)
khuey: review+
Details | Diff | Splinter Review

Description Adrian Kalla [:adriank] 2011-02-04 03:25:07 PST
The SeaMonkey 2.1 useragent string on Mac looks like this:

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b11pre) Gecko/20110202 Firefox/ SeaMonkey/2.1b2pre

The Firefox version is clearly missing here.

The problem seems to exist since the very beginning of the introduction of "Firefox" in SeaMonkey's UA. I thought, it was a problem of my profile, but now I see that it's the same on new profiles too. That results in sites like AMO telling me that "this exstensions is not compatible with Firefox 2.1b2pre" (if using AMO through https://addons.mozilla.org/en-US/firefox/ ).
Comment 1 Philip Chee 2011-02-05 02:27:48 PST
Dan, this appears to be a Mac OSX problem only. Any ideas?
Callek: build config problem?
Comment 2 Justin Wood (:Callek) 2011-02-05 07:08:17 PST
Adrian, self build; downloaded build; etc.?

At least on windows I'm not seeing this as possible, nor am I noticing how it could be a build-config issue.

If self build, do you see FIREFOX_VERSION (and MOZ_US_FIREFOX_VERSION with a value in @objdir@/mozilla/config/autoconf.mk ?
Comment 3 Adrian Kalla [:adriank] 2011-02-06 04:11:09 PST
(In reply to comment #2)
> Adrian, self build; downloaded build; etc.?

Downloaded builds. I didn't try to build myself...

> At least on windows I'm not seeing this as possible, nor am I noticing how it
> could be a build-config issue.

(Mac-only problem)
Comment 4 Justin Wood (:Callek) 2011-02-06 10:06:38 PST
Ok Investigation results:

generated autoconf.mk on both i386 and x86_64 had no FIREFOX_VERSION.

a patch of configure to verify what FIREFOX_VERSION should be, right after the cat verified it was blank, as well as that $topsrcdir was blank. Which is itself worrysome [will file a followup on that specific issue]

Anyway, $_topsrcdir should work, I verified that it has the right patch.

This is likely a problem with universal builds + comm-central; since Firefox mac builds are fine with the FIREFOX_VERSION properly set.
Comment 5 Justin Wood (:Callek) 2011-02-06 10:07:13 PST
Created attachment 510133 [details] [diff] [review]
use $_topsrcdir and error if unset
Comment 6 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-02-06 10:08:10 PST
Comment on attachment 510133 [details] [diff] [review]
use $_topsrcdir and error if unset

Ship it, with a followup like we talked about.
Comment 7 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-02-06 10:08:53 PST
FWIW, I don't think this needs approval, since it shouldn't affect Firefox at all.
Comment 8 Justin Wood (:Callek) 2011-02-06 19:01:12 PST
http://hg.mozilla.org/mozilla-central/rev/71eb12acc8d3
Comment 9 Adrian Kalla [:adriank] 2011-02-07 05:36:38 PST
VERIFIED with: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b12pre) Gecko/20110207 Firefox/4.0b12pre SeaMonkey/2.1b3pre

Note You need to log in before you can comment on or make changes to this bug.